---
sidebar_position: 1
---

# Node
A base type for all other types that exist in 3D space.

## Methods
### `destroy()`
Destroy this node immediately, as well as all its children if it has any.

### `setEnabled(bool enabled)`
Set if this node is enabled or not, for example a disabled model will not render and a disabled input handler will not recieve input.